import spice_activeX

from _spice_path import spice_path

class SpiceStdErr:

    def __init__(self):
        self.spice=spice_activeX.Application()
        self.writevi=self.spice.GetVIReference(spice_path + '\\common\\Utilities\\Command_utilities\\WriteToLogfile.vi')

    def write(self,stringtowrite):
        parnames='String to Write','String Type'
        parvalues=stringtowrite,1
        self.writevi.Call(parnames,parvalues)

class SpiceStdOut:

    def __init__(self):
        self.spice=spice_activeX.Application()
        self.writevi=self.spice.GetVIReference(spice_path + '\\common\\Utilities\\Command_utilities\\WriteToLogfile.vi')

    def write(self,stringtowrite):
        parnames='String to Write','String Type'
        parvalues=stringtowrite,0
        self.writevi.Call(parnames,parvalues)
